package org.ioc.commons.flowcontrol.actioncontroller;

import org.ioc.commons.flowcontrol.common.BindRegistration;

/**
 * Binder for actions.
 * 
 * @author Jesús Lunar Pérez
 * 
 * @param <A> Action type
 */
public interface ActionControllerBinder<A extends Enum<? extends IsExternalAction>> {
	/**
	 * Binds an action to the handler which will process it when it is invoked.
	 * 
	 * @param action
	 *            Action to bind
	 * @param handler
	 *            Handler which will process the action
	 *            
	 * @return A bind registration object for managing the new binding registered.
	 */
	BindRegistration bindAction(A action, ActionHandler<A> handler);
}
