package org.ioc.commons.flowcontrol.common;

/**
 * Interface for callbacks on asynchronous calls.
 * 
 * @author Jesús Lunar Pérez
 * 
 * @param <S>	On success object type.
 * @param <F>	On failure object type.
 */
public interface Callback<S, F> {
	/**
	 * Invoked when the asynchronous call has been completed successfuly.
	 * 
	 * @param result	The result ob
	 */
	public void onSuccess(S result);

	/**
	 * Invoked when the asynchronous call has been completed with a failure.

	 * @param failure
	 */
	public void onFailure(F failure);

}
