package org.ioc.commons.flowcontrol.common;

import java.lang.annotation.ElementType;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.lang.annotation.Target;

/**
 * Useful annotation to specify the parameters types sent with events and
 * actions.
 * 
 * The main porpouse of this annotation is to clarify to the developers the
 * types of parameters (Object's array) that is going to be sent along with an
 * event or an action.
 * 
 * @author Jesús Lunar Pérez
 */
@Retention(RetentionPolicy.SOURCE)
@Target(ElementType.FIELD)
public @interface Params {
	public Class<?>[] value();
}
