package org.ioc.commons.flowcontrol.eventbus;

/**
 * Trigger for events
 * 
 * @author Jesús Lunar Pérez
 * 
 * @param <E>
 *            Event type
 */
public interface EventBusTrigger<E extends Enum<? extends IsEvent>> {
	/**
	 * Fires an event to indicate that something has happend.
	 * 
	 * @param event
	 *            Event to fire.
	 * @param params
	 *            Parameters tha will be sent along with the event
	 */
	void fireEvent(E event, Object... params);
}
