package org.ioc.commons.flowcontrol.eventbus;

/**
 * Handler for events
 * 
 * @author Jesús Lunar Pérez
 * 
 * @param <E>
 *            Event type
 */
public interface EventHandler<E extends Enum<? extends IsEvent>> {
	/**
	 * Method which will be called when a bound event is fired.
	 * 
	 * @param sender
	 *            Entity which fired the event
	 * @param event
	 *            Fired event
	 * @param params
	 *            Sent parameters along with the event
	 */
	void handleEvent(Object sender, E event, Object... params);
}
