package org.ioc.commons.flowcontrol.eventbus;

/**
 * Elements which inherite from this interface are considered as event bus.
 * 
 * @author Jesús Lunar Pérez
 * 
 */
public interface IsEventBus {
	/**
	 * It returns the real native implementation for the event bus under this
	 * interface.
	 * 
	 * It will be dependant on the technology (implementation library) which is
	 * being used.
	 * 
	 * @return An instance for the real event bus.
	 */
	Object asEventBus();
}
