package org.ioc.commons.flowcontrol.operationmanager.impl;

import org.ioc.commons.flowcontrol.operationmanager.IsOperation;
import org.ioc.commons.flowcontrol.operationmanager.OperationHandler;

/**
 * An adapter for {@link OperationHandler}
 * 
 * @author Jesús Lunar Pérez
 *
 * @param <O> Operation type
 */
public class OperationHandlerAdapter<O extends Enum<? extends O> & IsOperation> implements OperationHandler<O> {

	@Override
	public void onOperationBeginning(Object sender, O operation) {
		// Override me
	}

	@Override
	public void onOperationFinished(Object sender, O operation, boolean success) {
		// Override me
	}

}
