package org.ioc.commons.integration.dataaccess.dao;

/**
 * It has info for a server failure occurred.
 * 
 * @author Jesús Lunar Pérez
 * 
 */
public class ServerFailure {
	private final String message;
	private final String stackTraceString;
	private final String exceptionType;
	private final boolean fatal;

	public ServerFailure(String message, String stackTraceString, String exceptionType, boolean fatal) {
		this.message = message;
		this.stackTraceString = stackTraceString;
		this.exceptionType = exceptionType;
		this.fatal = fatal;
	}

	public String getMessage() {
		return message;
	}

	public String getStackTraceString() {
		return stackTraceString;
	}

	public String getExceptionType() {
		return exceptionType;
	}

	public boolean isFatal() {
		return fatal;
	}

}
