package org.ioc.commons.ui;

/**
 * Feature for a component which can be put in an enabled or disabled state.
 * 
 * @author Jesús Lunar Pérez
 */
public interface HasEnabled {

	/**
	 * Returns true if the widget is enabled, false if not.
	 */
	boolean isEnabled();

	/**
	 * Sets whether this widget is enabled.
	 * 
	 * @param enabled
	 *            <code>true</code> to enable the component, <code>false</code> to
	 *            disable it
	 */
	void setEnabled(boolean enabled);
}
