package org.ioc.commons.ui;

/**
 * Elements which inherite from this interface represent an widget.
 * 
 * Normally every API has its own implementation for a widget, therefore with
 * this interface you can get the properly implementation instance if you need
 * to use something especific from it.
 * 
 * @author Jesús Lunar Pérez
 * 
 */
public interface IsWidget {

	/**
	 * 
	 * @return The real implementation for the widget.
	 */
	Object asWidget();
}
